package com.chenyang.nse.bussiness.entity.orm.table.console.engine;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CONSOLE_ENGINE_PROPERTY"
)
public class TConsoleEngineProperty extends TBaseEntity {
   private String enginetypeid;
   private String propertyname;

   public TConsoleEngineProperty() {
   }

   public TConsoleEngineProperty(String enginetypeid, String propertyname) {
      this.enginetypeid = enginetypeid;
      this.propertyname = propertyname;
   }

   public String getEnginetypeid() {
      return this.enginetypeid;
   }

   public void setEnginetypeid(String enginetypeid) {
      this.enginetypeid = enginetypeid;
   }

   public String getPropertyname() {
      return this.propertyname;
   }

   public void setPropertyname(String propertyname) {
      this.propertyname = propertyname;
   }

   public String toString() {
      return "TConsoleEngineProperty [enginetypeid=" + this.enginetypeid + ", propertyname=" + this.propertyname + "]";
   }

   public int hashCode() {
      int prime = 31;
      int result = 1;
      result = 31 * result + (this.enginetypeid == null ? 0 : this.enginetypeid.hashCode());
      result = 31 * result + (this.propertyname == null ? 0 : this.propertyname.hashCode());
      return result;
   }

   public boolean equals(Object obj) {
      if (this == obj) {
         return true;
      } else if (obj == null) {
         return false;
      } else if (this.getClass() != obj.getClass()) {
         return false;
      } else {
         TConsoleEngineProperty other = (TConsoleEngineProperty)obj;
         if (this.enginetypeid == null) {
            if (other.enginetypeid != null) {
               return false;
            }
         } else if (!this.enginetypeid.equals(other.enginetypeid)) {
            return false;
         }

         if (this.propertyname == null) {
            if (other.propertyname != null) {
               return false;
            }
         } else if (!this.propertyname.equals(other.propertyname)) {
            return false;
         }

         return true;
      }
   }
}
